// creator  : weidu.exe (version 23600)
// argument : TEYNGA.DLG
// game     : .
// source   : ./override/TEYNGA.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~TEYNGA~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #18444 /* ~Stop where you are! If you throw down your weapons and cooperate, then no one will be hurt. If you don't, then you'll all die. A very simple decision on your part.~ */
  IF ~~ THEN REPLY #18448 /* ~What is it you want with us, and who are you?~ */ GOTO 2
  IF ~~ THEN REPLY #18450 /* ~We surrender to no one. Draw steel!~ */ GOTO 1
  IF ~Global("X#TEYNGA0","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TEYNGA0","GLOBAL",1)~ EXTERN ~AJANTJ~ 305
  IF ~Global("X#TEYNGA0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TEYNGA0","GLOBAL",1)~ EXTERN ~GARRIJ~ 255
END

IF ~~ THEN BEGIN 1 // from: SHARTJ:320.0 SHARTJ:319.0 2.0 0.1 VICONJ:262.0
  SAY #18451 /* ~Stupid, STUPID! Now you die!~ */
  IF ~~ THEN DO ~ActionOverride("JEMBY",Enemy())
ActionOverride("ZEKAR",Enemy())
Enemy()
~ EXIT
  IF ~Global("X#AjantisTengya1","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTengya1","GLOBAL",1)~ EXTERN ~AJANTJ~ 104
END

IF ~~ THEN BEGIN 2 // from: 0.0
  SAY #18452 /* ~My name is Teyngan, this is my girl Jemby. The ugly one is Zekar. What we want is your money. Hand over all your cash, and you'll be unharmed. Before you do anything rash, think it over awhile. I'm sure your life is worth more than the little gold you might possess.~ */
  IF ~~ THEN REPLY #18453 /* ~Greedy bandits. You infest our roads with your stink. Draw steel!~ */ GOTO 1
  IF ~~ THEN REPLY #18455 /* ~Here's our money. Can we leave now?~ */ GOTO 3
  IF ~Global("X#TEYNGA2","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
OR(2)
Global("X#SharInterest","GLOBAL",1)
Global("X#SharInterest","GLOBAL",2)
~ THEN DO ~SetGlobal("X#TEYNGA2","GLOBAL",1)~ EXTERN ~SHARTJ~ 319
  IF ~Global("X#TEYNGA2","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#TEYNGA2","GLOBAL",1)~ EXTERN ~VICONJ~ 262
END

IF ~~ THEN BEGIN 3 // from: SHARTJ:320.1 SHARTJ:319.1 2.1 VICONJ:262.1
  SAY #18457 /* ~Smart choice. I'm glad you have some sense. Off with you now.~ */
  IF ~~ THEN DO ~TakePartyGold(300000)
ActionOverride("JEMBY",EscapeArea())
ActionOverride("ZEKAR",EscapeArea())
EscapeArea()
~ EXIT
  IF ~Global("X#AjantisTengya3","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisTengya3","GLOBAL",1)~ EXTERN ~AJANTJ~ 105
END

IF ~~ THEN BEGIN 4 // from:
  SAY #46160 /* ~Stupid decision, if you ask me!~ */
  IF ~~ THEN DO ~ActionOverride("JEMBY",Enemy())
ActionOverride("ZEKAR",Enemy())
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #46162 /* ~Heh. Your loss!~ */
  IF ~~ THEN DO ~TakePartyGold(300000)
ActionOverride("JEMBY",EscapeArea())
ActionOverride("ZEKAR",EscapeArea())
EscapeArea()
~ EXIT
END
